%global debug_package %{nil}
%global _build_id_links none

Name:           imaginary
Version:        1.2.4
Release:        1%{?dist}
Summary:        Image microservice

License:        MIT
URL:            https://github.com/h2non/imaginary
Source0:        %{name}-%{version}.tar.gz
Source1:        imaginary.service

BuildRequires:  gcc-go libgo-devel vips-devel
BuildRequires: systemd-rpm-macros

%description
Fast, simple, scalable, Docker-ready HTTP microservice for high-level image
processing

%package systemd
Summary:        Systemd configuration for imaginary
Requires:       %{name} = %{version}

%description systemd
Systemd configuration for the imaginary image microservice

%prep
%autosetup
go install


%build
go build


%install
install -Dm755 imaginary $RPM_BUILD_ROOT%{_bindir}/imaginary
install -Dm644 %{SOURCE1} $RPM_BUILD_ROOT%{_unitdir}/imaginary.service

%files
%license LICENSE
%doc README.md
%{_bindir}/imaginary
%{_unitdir}/imaginary.service



%changelog
* Mon Apr 24 2023 Victoria Fischer <tdfischer@hackerbots.net>
- 
